Get a unit detail by ID.
https://api.propexo.com/v1/units/details/:unit_detail_idNote: "Unit Details" are not units themselves, but rather details regarding application/listing information on a unit. This is a separate concept from generic units data, and is required to be enabled as its own model. It is uncommon for customers to require this data. Please contact support with questions
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the unit
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The external ID of the property from the integration vendor
The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The external ID of the building (not necessarily the property) from the integration vendor
The external ID of the floor plan from the integration vendor
The building number associated with the unit
The make ready date of the unit
The made ready date of the unit
The date the unit is reserved until
The market rent cost of the floor plan, in cents
100000The market rent cost of the unit, in cents
100000The base rent cost of the unit, in cents
100000The unit number
Description of the unit
The floor plan name associated with the unit
Whether or not the unit is accessible for the hearing impaired
Whether or not the unit is accessible for the mobility impaired
Whether or not the unit is accessible for the vision impaired
Whether the unit is vacant
Whether the unit is available
Whether the unit is reserved
The date that the unit becomes available
Notes associated with the unit
The gross square footage of the unit
Possible values: >= 0
The rentable square footage of the unit
Possible values: >= 0
The city associated with the unit
The country associated with the unit
The state associated with the unit
The first address line associated with the unit
The second address line associated with the unit
The zip code associated with the unit
The maximum potential lease term of the unit
The minimum potential lease term of the unit
The Propexo unique identifier for the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the property
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/units/details/:unit_detail_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_building_id": "string",
"x_floor_plan_id": "string",
"building_number": "string",
"make_ready_date": "string",
"made_ready_date": "string",
"reserved_until_date": "string",
"floor_plan_market_rent_in_cents": 100000,
"unit_market_rent_in_cents": 100000,
"base_rent_in_cents": 100000,
"unit_number": "string",
"description": "string",
"floor_plan_name": "string",
"accessible_hearing": true,
"accessible_mobility": true,
"accessible_vision": true,
"is_vacant": true,
"is_available": true,
"is_reserved": true,
"available_date": "string",
"notes": "string",
"gross_square_feet": 0,
"rentable_square_feet": 0,
"city": "string",
"country": "string",
"state": "string",
"address_1": "string",
"address_2": "string",
"zip": "string",
"maximum_potential_lease_term": "string",
"minimum_potential_lease_term": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string"
}
}